<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: RocketLauncher Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classRocketLauncher-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RocketLauncher Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classRocketLauncher.html" title="RocketLauncher balanced weapon with direct fire.">RocketLauncher</a> balanced weapon with direct fire.  
 <a href="classRocketLauncher.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Weapon_8h_source.html">Weapon.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for RocketLauncher:</div>
<div class="dyncontent">
<div class="center"><img src="classRocketLauncher__inherit__graph.png" border="0" usemap="#RocketLauncher_inherit__map" alt="Inheritance graph"/></div>
<map name="RocketLauncher_inherit__map" id="RocketLauncher_inherit__map">
<area shape="rect" title="RocketLauncher balanced weapon with direct fire." alt="" coords="5,80,131,107"/>
<area shape="rect" href="classWeapon.html" title="Factory styled class for creating projectiles." alt="" coords="31,5,105,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for RocketLauncher:</div>
<div class="dyncontent">
<div class="center"><img src="classRocketLauncher__coll__graph.png" border="0" usemap="#RocketLauncher_coll__map" alt="Collaboration graph"/></div>
<map name="RocketLauncher_coll__map" id="RocketLauncher_coll__map">
<area shape="rect" title="RocketLauncher balanced weapon with direct fire." alt="" coords="5,80,131,107"/>
<area shape="rect" href="classWeapon.html" title="Factory styled class for creating projectiles." alt="" coords="31,5,105,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2d86b3d05cee3bfe00c911aee23106b4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRocketLauncher.html#a2d86b3d05cee3bfe00c911aee23106b4">RocketLauncher</a> (const int &amp;x, const int &amp;y)</td></tr>
<tr class="memdesc:a2d86b3d05cee3bfe00c911aee23106b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="classRocket.html" title="Rocket projectile balanced big projectile.">Rocket</a> Launcher object with coordinate refferences to owner of weapon.  <a href="classRocketLauncher.html#a2d86b3d05cee3bfe00c911aee23106b4">More...</a><br /></td></tr>
<tr class="separator:a2d86b3d05cee3bfe00c911aee23106b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8366a645e8c4896d575db1d814e2cdd6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRocketLauncher.html#a8366a645e8c4896d575db1d814e2cdd6">GetType</a> () const override</td></tr>
<tr class="separator:a8366a645e8c4896d575db1d814e2cdd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classWeapon"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classWeapon')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classWeapon.html">Weapon</a></td></tr>
<tr class="memitem:a142fe6fb7afc031f9593e085e2478b6d inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a142fe6fb7afc031f9593e085e2478b6d">Weapon</a> (const int &amp;x, const int &amp;y)</td></tr>
<tr class="memdesc:a142fe6fb7afc031f9593e085e2478b6d inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="classWeapon.html" title="Factory styled class for creating projectiles.">Weapon</a> object with coordinate refferences to owner of weapon.  <a href="classWeapon.html#a142fe6fb7afc031f9593e085e2478b6d">More...</a><br /></td></tr>
<tr class="separator:a142fe6fb7afc031f9593e085e2478b6d inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5f7305f5d08c48003c826e6e73f37da inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#ac5f7305f5d08c48003c826e6e73f37da">~Weapon</a> ()</td></tr>
<tr class="separator:ac5f7305f5d08c48003c826e6e73f37da inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f1b8ec10376846551d7731ca7ea0bfa inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a1f1b8ec10376846551d7731ca7ea0bfa">SetLevel</a> (const int &amp;level)</td></tr>
<tr class="memdesc:a1f1b8ec10376846551d7731ca7ea0bfa inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Level of a weapon.  <a href="classWeapon.html#a1f1b8ec10376846551d7731ca7ea0bfa">More...</a><br /></td></tr>
<tr class="separator:a1f1b8ec10376846551d7731ca7ea0bfa inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b599385c909713ad4d3f1ab86757cab inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a0b599385c909713ad4d3f1ab86757cab">Upgrade</a> ()</td></tr>
<tr class="memdesc:a0b599385c909713ad4d3f1ab86757cab inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increases weapon level by one if possible.  <a href="classWeapon.html#a0b599385c909713ad4d3f1ab86757cab">More...</a><br /></td></tr>
<tr class="separator:a0b599385c909713ad4d3f1ab86757cab inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cbe744adaae3a57d813c39fe9802bd1 inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a6cbe744adaae3a57d813c39fe9802bd1">SetFireRate</a> (const int &amp;rate)</td></tr>
<tr class="memdesc:a6cbe744adaae3a57d813c39fe9802bd1 inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Fire Rate object.  <a href="classWeapon.html#a6cbe744adaae3a57d813c39fe9802bd1">More...</a><br /></td></tr>
<tr class="separator:a6cbe744adaae3a57d813c39fe9802bd1 inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac18084196a571d8ec73321dce03ae6eb inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#ac18084196a571d8ec73321dce03ae6eb">SetDirection</a> (const int &amp;dirx)</td></tr>
<tr class="memdesc:ac18084196a571d8ec73321dce03ae6eb inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set horizontal movement direction.  <a href="classWeapon.html#ac18084196a571d8ec73321dce03ae6eb">More...</a><br /></td></tr>
<tr class="separator:ac18084196a571d8ec73321dce03ae6eb inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa80c770361cc840b283afc903d3b6bb1 inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#aa80c770361cc840b283afc903d3b6bb1">SetOffsetXY</a> (const int &amp;x, const int &amp;y)</td></tr>
<tr class="memdesc:aa80c770361cc840b283afc903d3b6bb1 inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the firing offset relative to weapon owner.  <a href="classWeapon.html#aa80c770361cc840b283afc903d3b6bb1">More...</a><br /></td></tr>
<tr class="separator:aa80c770361cc840b283afc903d3b6bb1 inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f71a08f964d57ed0c2ff0a0da3f5221 inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a9f71a08f964d57ed0c2ff0a0da3f5221">GetLevel</a> () const</td></tr>
<tr class="separator:a9f71a08f964d57ed0c2ff0a0da3f5221 inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1143ac517648fed1df454cf59bdc13f inherit pub_methods_classWeapon"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#ae1143ac517648fed1df454cf59bdc13f">Update</a> ()</td></tr>
<tr class="memdesc:ae1143ac517648fed1df454cf59bdc13f inherit pub_methods_classWeapon"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fires projectile after cooldown has run out.  <a href="classWeapon.html#ae1143ac517648fed1df454cf59bdc13f">More...</a><br /></td></tr>
<tr class="separator:ae1143ac517648fed1df454cf59bdc13f inherit pub_methods_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a2766034d0e2f7290213795b2bc60e48c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRocketLauncher.html#a2766034d0e2f7290213795b2bc60e48c">m_Type</a> = 0</td></tr>
<tr class="separator:a2766034d0e2f7290213795b2bc60e48c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a56b09854e1a553f72aed93663ab9cefa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRocketLauncher.html#a56b09854e1a553f72aed93663ab9cefa">Fire</a> () override</td></tr>
<tr class="memdesc:a56b09854e1a553f72aed93663ab9cefa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pure virtual function to create projectiles.  <a href="classRocketLauncher.html#a56b09854e1a553f72aed93663ab9cefa">More...</a><br /></td></tr>
<tr class="separator:a56b09854e1a553f72aed93663ab9cefa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classWeapon"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classWeapon')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classWeapon.html">Weapon</a></td></tr>
<tr class="memitem:ac397ebc3e719835687b7c4a84ac07c21 inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#ac397ebc3e719835687b7c4a84ac07c21">m_FireRate</a></td></tr>
<tr class="separator:ac397ebc3e719835687b7c4a84ac07c21 inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7058beed78f19ccf108c4363e3080345 inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">std::chrono::time_point&lt; std::chrono::system_clock &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a7058beed78f19ccf108c4363e3080345">m_CoolDownTime</a></td></tr>
<tr class="separator:a7058beed78f19ccf108c4363e3080345 inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceb36b89ece7aab9686966507b23dc5a inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#aceb36b89ece7aab9686966507b23dc5a">m_Level</a></td></tr>
<tr class="separator:aceb36b89ece7aab9686966507b23dc5a inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbe629cb34e96f7bde59686f6706835e inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#adbe629cb34e96f7bde59686f6706835e">m_FireDirX</a></td></tr>
<tr class="separator:adbe629cb34e96f7bde59686f6706835e inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf73b56151eb77d72af2278304fb0c73 inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#abf73b56151eb77d72af2278304fb0c73">m_OffsetX</a></td></tr>
<tr class="separator:abf73b56151eb77d72af2278304fb0c73 inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a619c784b69a7d6bb06667752bd0fea1f inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a619c784b69a7d6bb06667752bd0fea1f">m_OffsetY</a></td></tr>
<tr class="separator:a619c784b69a7d6bb06667752bd0fea1f inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e43f2b40941651214aef613a4b0cca4 inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a4e43f2b40941651214aef613a4b0cca4">m_X</a></td></tr>
<tr class="separator:a4e43f2b40941651214aef613a4b0cca4 inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a891a9fdae2458e7593ad15661e8fa500 inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a891a9fdae2458e7593ad15661e8fa500">m_Y</a></td></tr>
<tr class="separator:a891a9fdae2458e7593ad15661e8fa500 inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c0736882e2a4ebc77755f57d70f1ed7 inherit pro_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a0c0736882e2a4ebc77755f57d70f1ed7">m_StateSwitch</a></td></tr>
<tr class="separator:a0c0736882e2a4ebc77755f57d70f1ed7 inherit pro_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_attribs_classWeapon"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_classWeapon')"><img src="closed.png" alt="-"/>&#160;Static Protected Attributes inherited from <a class="el" href="classWeapon.html">Weapon</a></td></tr>
<tr class="memitem:a892a4b8e8c359185a59bd184c2d2f728 inherit pro_static_attribs_classWeapon"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWeapon.html#a892a4b8e8c359185a59bd184c2d2f728">m_Type</a></td></tr>
<tr class="separator:a892a4b8e8c359185a59bd184c2d2f728 inherit pro_static_attribs_classWeapon"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classRocketLauncher.html" title="RocketLauncher balanced weapon with direct fire.">RocketLauncher</a> balanced weapon with direct fire. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2d86b3d05cee3bfe00c911aee23106b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d86b3d05cee3bfe00c911aee23106b4">&#9670;&nbsp;</a></span>RocketLauncher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RocketLauncher::RocketLauncher </td>
          <td>(</td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="classRocket.html" title="Rocket projectile balanced big projectile.">Rocket</a> Launcher object with coordinate refferences to owner of weapon. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a56b09854e1a553f72aed93663ab9cefa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56b09854e1a553f72aed93663ab9cefa">&#9670;&nbsp;</a></span>Fire()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RocketLauncher::Fire </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Pure virtual function to create projectiles. </p>

<p>Implements <a class="el" href="classWeapon.html#a8502c88be7164dca0a53b5d7aec871c9">Weapon</a>.</p>

</div>
</div>
<a id="a8366a645e8c4896d575db1d814e2cdd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8366a645e8c4896d575db1d814e2cdd6">&#9670;&nbsp;</a></span>GetType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int RocketLauncher::GetType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classWeapon.html#a378548bc64e0e44f664c6634b14d0e82">Weapon</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a2766034d0e2f7290213795b2bc60e48c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2766034d0e2f7290213795b2bc60e48c">&#9670;&nbsp;</a></span>m_Type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int RocketLauncher::m_Type = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Weapon_8h_source.html">Weapon.h</a></li>
<li>src/<a class="el" href="Weapon_8cpp.html">Weapon.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
